#include<iostream>
#include<vector>
using namespace std;
char c1,c2;
int a1,a2;
void unos()
{
    cin>>c1>>c2>>a1>>a2;
}
void rez()
{
    int n=a1+a2;
    if (a1>a2+1 or a2>a1+1)
    {
        cout<<"nemoguce"<<endl;
        return;
    }
    vector <char> niz;
    bool prv=true;
    if (a1==a2+1)
    {
        niz.push_back(c1);
        prv=false;
        a1--;
    }
    if (a2==a1+1)
    {
        niz.push_back(c2);
    }
    for(int i=0;i<a1+a2;i++)
    {
        if (prv)
        {
            niz.push_back(c1);
            prv=false;
        }
        else
        {
            niz.push_back(c2);
            prv=true;
        }
    }
    for(int i=0;i<n;i++)
        cout<<niz[i];
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    unos();
    rez();
    return 0;
}